--- ../commoncpp/src/peer.cpp	Fri Nov  2 16:38:48 2001
+++ src/peer.cpp	Wed Nov 28 17:05:39 2001
@@ -66,13 +66,10 @@
 	shutdown(so, 0);
 }
 
-sockerror_t UDPTransmit::Connect(const InetHostAddress &ia, tpport_t port)
+sockerror_t UDPTransmit::CConnect(const InetAddress &ia, tpport_t port)
 {
 	int len = sizeof(peer);
 
-	if(isBroadcast())
-		setBroadcast(false);
-
 	peer.sin_family = AF_INET;
 	peer.sin_addr = getaddress(ia);
 	peer.sin_port = htons(port);
@@ -81,19 +78,29 @@
 	return SOCKET_SUCCESS;
 }
 
-sockerror_t UDPTransmit::Connect(const BroadcastAddress &subnet, tpport_t  port)
+sockerror_t UDPTransmit::Connect(const InetHostAddress &ia, tpport_t port)
 {
-	int len = sizeof(peer);
+	if(isBroadcast())
+		setBroadcast(false);
+
+	return CConnect((InetAddress)ia,port);
+}
 
+sockerror_t UDPTransmit::Connect(const BroadcastAddress &subnet, tpport_t  port)
+{
 	if(!isBroadcast())
 		setBroadcast(true);
 
-	peer.sin_family = AF_INET;
-	peer.sin_addr = getaddress(subnet);
-	peer.sin_port = htons(port);
-	if(connect(so, (sockaddr *)&peer, len))
-		return connectError();
-	return SOCKET_SUCCESS;
+	return CConnect((InetAddress)subnet,port);
+}
+
+sockerror_t UDPTransmit::Connect(const InetMcastAddress &group, tpport_t  port)
+{
+	sockerror_t error;
+	if(!( error = setMulticast(true) ))
+		return error;
+
+	return CConnect((InetAddress)group,port);
 }
 
 #ifdef	AF_UNSPEC
